from typing import List
from fastapi import APIRouter, Depends

from ..schemas.auth import UserToken
from ..core.security import get_current_active_user as get_user
import brewman.schemas.master as schemas
from brewman.models.master import AccountType

router = APIRouter()


@router.get("", response_model=List[schemas.AccountType])
def account_type_list(user: UserToken = Depends(get_user)):
    return [schemas.AccountType(id=item.id, name=item.name) for item in AccountType.list()]
