import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {AccountService} from '../core/account.service';
import {Account} from '../core/account';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class AccountResolver implements Resolve<Account> {

  constructor(private ser: AccountService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Account> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
