import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {AccountType} from '../core/account-type';
import {Observable} from 'rxjs/internal/Observable';
import {AccountTypeService} from './account-type.service';

@Injectable({
  providedIn: 'root'
})
export class AccountTypeResolver implements Resolve<AccountType[]> {

  constructor(private ser: AccountTypeService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<AccountType[]> {
    return this.ser.list();
  }
}
