import {Injectable} from '@angular/core';
import {Observable} from 'rxjs/internal/Observable';
import {AccountType} from '../core/account-type';
import {catchError} from 'rxjs/operators';
import {HttpClient} from '@angular/common/http';
import {ErrorLoggerService} from '../core/error-logger.service';

const url = '/api/account-types';
const serviceName = 'AccountTypeService';

@Injectable({
  providedIn: 'root'
})
export class AccountTypeService {

  constructor(
    private http: HttpClient, private log: ErrorLoggerService) {
  }

  list(): Observable<AccountType[]> {
    return <Observable<AccountType[]>>this.http.get<AccountType[]>(url)
      .pipe(
        catchError(this.log.handleError(serviceName, 'list'))
      );
  }
}
