import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {AttendanceService} from './attendance.service';
import {Attendance} from './attendance';

@Injectable({
  providedIn: 'root'
})
export class AttendanceResolver implements Resolve<Attendance> {

  constructor(private ser: AttendanceService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Attendance> {
    const date = route.paramMap.get('date');
    return this.ser.get(date);
  }
}
