import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {AttendanceType} from './attendance-type';
import {AttendanceTypeService} from './attendance-type.service';

@Injectable({
  providedIn: 'root'
})
export class AttendanceTypeResolver implements Resolve<AttendanceType[]> {

  constructor(private ser: AttendanceTypeService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<AttendanceType[]> {
    return this.ser.list();
  }
}
