import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {BalanceSheet} from './balance-sheet';
import {BalanceSheetService} from './balance-sheet.service';

@Injectable({
  providedIn: 'root'
})
export class BalanceSheetResolver implements Resolve<BalanceSheet> {

  constructor(private ser: BalanceSheetService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<BalanceSheet> {
    const date = route.paramMap.get('date');
    return this.ser.list(date);
  }
}
