import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {BalanceSheetResolver} from './balance-sheet-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {BalanceSheetComponent} from './balance-sheet.component';

const balanceSheetRoutes: Routes = [
  {
    path: '',
    component: BalanceSheetComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Balance Sheet'
    },
    resolve: {
      info: BalanceSheetResolver
    }
  },
  {
    path: ':date',
    component: BalanceSheetComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Balance Sheet'
    },
    resolve: {
      info: BalanceSheetResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(balanceSheetRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    BalanceSheetResolver
  ]
})
export class BalanceSheetRoutingModule {
}
