import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {CashFlow} from './cash-flow';
import {CashFlowService} from './cash-flow.service';

@Injectable({
  providedIn: 'root'
})
export class CashFlowResolver implements Resolve<CashFlow> {

  constructor(private ser: CashFlowService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<CashFlow> {
    const id = route.paramMap.get('id');
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(id, startDate, finishDate);
  }
}
