import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {CashFlowResolver} from './cash-flow-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {CashFlowComponent} from './cash-flow.component';

const cashFlowRoutes: Routes = [
  {
    path: '',
    component: CashFlowComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cash Flow'
    },
    resolve: {
      info: CashFlowResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: CashFlowComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cash Flow'
    },
    resolve: {
      info: CashFlowResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(cashFlowRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    CashFlowResolver
  ]
})
export class CashFlowRoutingModule {
}
