import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {Client} from './client';
import {Observable} from 'rxjs/internal/Observable';
import {ClientService} from './client.service';

@Injectable({
  providedIn: 'root'
})
export class ClientListResolver implements Resolve<Client[]> {

  constructor(private ser: ClientService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Client[]> {
    return this.ser.list();
  }
}
