import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {ClosingStock} from './closing-stock';
import {ClosingStockService} from './closing-stock.service';

@Injectable({
  providedIn: 'root'
})
export class ClosingStockResolver implements Resolve<ClosingStock> {

  constructor(private ser: ClosingStockService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<ClosingStock> {
    const date = route.paramMap.get('date');
    return this.ser.list(date);
  }
}
