import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {ClosingStockResolver} from './closing-stock-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {ClosingStockComponent} from './closing-stock.component';

const closingStockRoutes: Routes = [
  {
    path: '',
    component: ClosingStockComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Closing Stock'
    },
    resolve: {
      info: ClosingStockResolver
    }
  },
  {
    path: ':date',
    component: ClosingStockComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Closing Stock'
    },
    resolve: {
      info: ClosingStockResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(closingStockRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    ClosingStockResolver
  ]
})
export class ClosingStockRoutingModule {
}
