import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {CostCentre} from '../core/cost-centre';
import {Observable} from 'rxjs/internal/Observable';
import {CostCentreService} from './cost-centre.service';

@Injectable({
  providedIn: 'root'
})
export class CostCentreListResolver implements Resolve<CostCentre[]> {

  constructor(private ser: CostCentreService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<CostCentre[]> {
    return this.ser.list();
  }
}
