import {Component, OnInit, ViewChild} from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import {CostCentreListDataSource} from './cost-centre-list-datasource';
import {CostCentre} from '../../core/cost-centre';
import {ActivatedRoute} from '@angular/router';

@Component({
  selector: 'app-cost-centre-list',
  templateUrl: './cost-centre-list.component.html',
  styleUrls: ['./cost-centre-list.component.css']
})
export class CostCentreListComponent implements OnInit {
  @ViewChild(MatPaginator, { static: true }) paginator: MatPaginator;
  @ViewChild(MatSort, { static: true }) sort: MatSort;
  dataSource: CostCentreListDataSource;
  list: CostCentre[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'isFixture'];

  constructor(private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: CostCentre[] }) => {
        this.list = data.list;
      });
    this.dataSource = new CostCentreListDataSource(this.paginator, this.sort, this.list);
  }
}
