import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {CostCentreService} from './cost-centre.service';
import {CostCentre} from '../core/cost-centre';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class CostCentreResolver implements Resolve<CostCentre> {

  constructor(private ser: CostCentreService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<CostCentre> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
