import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {CostCentreListResolver} from './cost-centre-list-resolver.service';
import {CostCentreResolver} from './cost-centre-resolver.service';
import {CostCentreListComponent} from './cost-centre-list/cost-centre-list.component';
import {CostCentreDetailComponent} from './cost-centre-detail/cost-centre-detail.component';
import {AuthGuard} from '../auth/auth-guard.service';

const costCentreRoutes: Routes = [
  {
    path: '',
    component: CostCentreListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres'
    },
    resolve: {
      list: CostCentreListResolver
    }
  },
  {
    path: 'new',
    component: CostCentreDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres'
    },
    resolve: {
      item: CostCentreResolver
    }
  },
  {
    path: ':id',
    component: CostCentreDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres'
    },
    resolve: {
      item: CostCentreResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(costCentreRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    CostCentreListResolver,
    CostCentreResolver
  ]
})
export class CostCentreRoutingModule {
}
