import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {EmployeeAttendanceService} from './employee-attendance.service';
import {EmployeeAttendance} from './employee-attendance';

@Injectable({
  providedIn: 'root'
})
export class EmployeeAttendanceResolver implements Resolve<EmployeeAttendance> {

  constructor(private ser: EmployeeAttendanceService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<EmployeeAttendance> {
    const id = route.paramMap.get('id');
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(id, startDate, finishDate);
  }
}
