import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {EmployeeBenefitsResolver} from './employee-benefits-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {EmployeeBenefitsComponent} from './employee-benefits.component';

const employeeBenefitsRoutes: Routes = [
  {
    path: '',
    component: EmployeeBenefitsComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'employee-benefit'
    },
    resolve: {
      voucher: EmployeeBenefitsResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: EmployeeBenefitsComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'employee-benefit'
    },
    resolve: {
      voucher: EmployeeBenefitsResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(employeeBenefitsRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    EmployeeBenefitsResolver
  ]
})
export class EmployeeBenefitsRoutingModule {
}
