import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {AuthGuard} from '../auth/auth-guard.service';
import {EmployeeFunctionsComponent} from './employee-functions.component';

const employeeFunctionsRoutes: Routes = [
  {
    path: '',
    component: EmployeeFunctionsComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'employee-benefit'
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(employeeFunctionsRoutes)

  ],
  exports: [
    RouterModule
  ]
})
export class EmployeeFunctionsRoutingModule {
}
