import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Employee} from './employee';
import {Observable} from 'rxjs/internal/Observable';
import {EmployeeService} from './employee.service';

@Injectable({
  providedIn: 'root'
})
export class EmployeeListResolver implements Resolve<Employee[]> {

  constructor(private ser: EmployeeService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Employee[]> {
    return this.ser.list();
  }
}
