import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {EmployeeService} from './employee.service';
import {Employee} from './employee';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class EmployeeResolver implements Resolve<Employee> {

  constructor(private ser: EmployeeService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Employee> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
