import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {IncentiveResolver} from './incentive-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {IncentiveComponent} from './incentive.component';

const incentiveRoutes: Routes = [
  {
    path: '',
    component: IncentiveComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'incentive'
    },
    resolve: {
      voucher: IncentiveResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: IncentiveComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'incentive'
    },
    resolve: {
      voucher: IncentiveResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(incentiveRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    IncentiveResolver
  ]
})
export class IncentiveRoutingModule {
}
