import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { ErrorLoggerService } from '../core/error-logger.service';
import { catchError } from 'rxjs/operators';
import { Observable } from 'rxjs/internal/Observable';

const url = '/api/issue-grid';
const serviceName = 'IssueGridService';

@Injectable({
  providedIn: 'root'
})
export class IssueGridService {

  constructor(private http: HttpClient, private log: ErrorLoggerService) {
  }

  issueGrid(date: string): Observable<any[]> {
    return <Observable<any[]>>this.http.get<any[]>(`${url}/${date}`)
      .pipe(
        catchError(this.log.handleError(serviceName, 'autocomplete'))
      );
  }
}
