import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {JournalResolver} from './journal-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {JournalComponent} from './journal.component';

const journalRoutes: Routes = [
  {
    path: '',
    component: JournalComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Journal'
    },
    resolve: {
      voucher: JournalResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: JournalComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Journal'
    },
    resolve: {
      voucher: JournalResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(journalRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    JournalResolver
  ]
})
export class JournalRoutingModule {
}
