import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {LedgerResolver} from './ledger-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {LedgerComponent} from './ledger.component';

const ledgerRoutes: Routes = [
  {
    path: '',
    component: LedgerComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Ledger'
    },
    resolve: {
      info: LedgerResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: LedgerComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Ledger'
    },
    resolve: {
      info: LedgerResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(ledgerRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    LedgerResolver
  ]
})
export class LedgerRoutingModule {
}
