import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {NetTransactionsResolver} from './net-transactions-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {NetTransactionsComponent} from './net-transactions.component';

const netTransactionsRoutes: Routes = [
  {
    path: '',
    component: NetTransactionsComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Net Transactions'
    },
    resolve: {
      info: NetTransactionsResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(netTransactionsRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    NetTransactionsResolver
  ]
})
export class NetTransactionsRoutingModule {
}
