import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {Account} from '../core/account';
import {AccountService} from '../core/account.service';

@Injectable({
  providedIn: 'root'
})
export class PaymentAccountsResolver implements Resolve<Account[]> {

  constructor(private ser: AccountService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Account[]> {
    return this.ser.paymentAutocomplete('');
  }
}
