import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {ProductGroup} from '../core/product-group';
import {Observable} from 'rxjs/internal/Observable';
import {ProductGroupService} from './product-group.service';

@Injectable({
  providedIn: 'root'
})
export class ProductGroupListResolver implements Resolve<ProductGroup[]> {

  constructor(private ser: ProductGroupService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<ProductGroup[]> {
    return this.ser.list();
  }
}
