import {Component, OnInit, ViewChild} from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import {ProductGroupListDataSource} from './product-group-list-datasource';
import {ProductGroup} from '../../core/product-group';
import {ActivatedRoute} from '@angular/router';

@Component({
  selector: 'app-product-group-list',
  templateUrl: './product-group-list.component.html',
  styleUrls: ['./product-group-list.component.css']
})
export class ProductGroupListComponent implements OnInit {
  @ViewChild(MatPaginator, { static: true }) paginator: MatPaginator;
  @ViewChild(MatSort, { static: true }) sort: MatSort;
  dataSource: ProductGroupListDataSource;
  list: ProductGroup[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'isFixture'];

  constructor(private route: ActivatedRoute) {
  }

  ngOnInit() {
    this.route.data
      .subscribe((data: { list: ProductGroup[] }) => {
        this.list = data.list;
      });
    this.dataSource = new ProductGroupListDataSource(this.paginator, this.sort, this.list);
  }
}
