import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, Router, RouterStateSnapshot} from '@angular/router';
import {ProductGroupService} from './product-group.service';
import {ProductGroup} from '../core/product-group';
import {Observable} from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class ProductGroupResolver implements Resolve<ProductGroup> {

  constructor(private ser: ProductGroupService, private router: Router) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<ProductGroup> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
