import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Product} from '../core/product';
import {Observable} from 'rxjs/internal/Observable';
import {ProductService} from './product.service';

@Injectable({
  providedIn: 'root'
})
export class ProductListResolver implements Resolve<Product[]> {

  constructor(private ser: ProductService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Product[]> {
    return this.ser.list();
  }
}
