import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {ProfitLoss} from './profit-loss';
import {ProfitLossService} from './profit-loss.service';

@Injectable({
  providedIn: 'root'
})
export class ProfitLossResolver implements Resolve<ProfitLoss> {

  constructor(private ser: ProfitLossService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<ProfitLoss> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(startDate, finishDate);
  }
}
