import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {PurchaseEntries} from './purchase-entries';
import {PurchaseEntriesService} from './purchase-entries.service';

@Injectable({
  providedIn: 'root'
})
export class PurchaseEntriesResolver implements Resolve<PurchaseEntries> {

  constructor(private ser: PurchaseEntriesService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<PurchaseEntries> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(startDate, finishDate);
  }
}
