import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {PurchaseEntriesResolver} from './purchase-entries-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {PurchaseEntriesComponent} from './purchase-entries.component';

const purchaseEntriesRoutes: Routes = [
  {
    path: '',
    component: PurchaseEntriesComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Purchase Entries'
    },
    resolve: {
      info: PurchaseEntriesResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(purchaseEntriesRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    PurchaseEntriesResolver
  ]
})
export class PurchaseEntriesRoutingModule {
}
