import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {PurchaseReturnResolver} from './purchase-return-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {PurchaseReturnComponent} from './purchase-return.component';

const purchaseReturnRoutes: Routes = [
  {
    path: '',
    component: PurchaseReturnComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Purchase Return'
    },
    resolve: {
      voucher: PurchaseReturnResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: PurchaseReturnComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Purchase Return'
    },
    resolve: {
      voucher: PurchaseReturnResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(purchaseReturnRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    PurchaseReturnResolver
  ]
})
export class PurchaseReturnRoutingModule {
}
