import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {PurchaseResolver} from './purchase-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {PurchaseComponent} from './purchase.component';

const purchaseRoutes: Routes = [
  {
    path: '',
    component: PurchaseComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Purchase'
    },
    resolve: {
      voucher: PurchaseResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: PurchaseComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Purchase'
    },
    resolve: {
      voucher: PurchaseResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(purchaseRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    PurchaseResolver
  ]
})
export class PurchaseRoutingModule {
}
