import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {PurchasesResolver} from './purchases-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {PurchasesComponent} from './purchases.component';

const purchasesRoutes: Routes = [
  {
    path: '',
    component: PurchasesComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Purchases'
    },
    resolve: {
      info: PurchasesResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(purchasesRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    PurchasesResolver
  ]
})
export class PurchasesRoutingModule {
}
