import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, Resolve, RouterStateSnapshot} from '@angular/router';
import {Observable} from 'rxjs/internal/Observable';
import {RawMaterialCost} from './raw-material-cost';
import {RawMaterialCostService} from './raw-material-cost.service';

@Injectable({
  providedIn: 'root'
})
export class RawMaterialCostResolver implements Resolve<RawMaterialCost> {

  constructor(private ser: RawMaterialCostService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<RawMaterialCost> {
    const id = route.paramMap.get('id') || null;
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(id, startDate, finishDate);
  }
}
