import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {RawMaterialCostResolver} from './raw-material-cost-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {RawMaterialCostComponent} from './raw-material-cost.component';

const rawMaterialCostRoutes: Routes = [
  {
    path: '',
    component: RawMaterialCostComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Raw Material Cost'
    },
    resolve: {
      info: RawMaterialCostResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: RawMaterialCostComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Raw Material Cost'
    },
    resolve: {
      info: RawMaterialCostResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(rawMaterialCostRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    RawMaterialCostResolver
  ]
})
export class RawMaterialCostRoutingModule {
}
