import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {ReceiptResolver} from './receipt-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {ReceiptComponent} from './receipt.component';
import {ReceiptAccountsResolver} from './receipt-accounts-resolver.service';

const receiptRoutes: Routes = [
  {
    path: '',
    component: ReceiptComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'journal'
    },
    resolve: {
      receiptAccounts: ReceiptAccountsResolver,
      voucher: ReceiptResolver
    },
    runGuardsAndResolvers: 'paramsChange'
  },
  {
    path: ':id',
    component: ReceiptComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'journal'
    },
    resolve: {
      receiptAccounts: ReceiptAccountsResolver,
      voucher: ReceiptResolver
    },
    runGuardsAndResolvers: 'paramsChange'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(receiptRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    ReceiptResolver
  ]
})
export class ReceiptRoutingModule {
}
