import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {RoleListResolver} from './role-list-resolver.service';
import {RoleResolver} from './role-resolver.service';
import {RoleListComponent} from './role-list/role-list.component';
import {RoleDetailComponent} from './role-detail/role-detail.component';
import {AuthGuard} from '../auth/auth-guard.service';

const roleRoutes: Routes = [
  {
    path: '',
    component: RoleListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Users'
    },
    resolve: {
      list: RoleListResolver
    }
  },
  {
    path: 'new',
    component: RoleDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Users'
    },
    resolve: {
      item: RoleResolver,
    }
  },
  {
    path: ':id',
    component: RoleDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Users'
    },
    resolve: {
      item: RoleResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(roleRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    RoleListResolver,
    RoleResolver
  ]
})
export class RoleRoutingModule {
}
