import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {AuthGuard} from '../auth/auth-guard.service';
import {SettingsComponent} from './settings.component';
import {MaintenanceResolver} from './maintenance-resolver.service';
import {LockInformationResolver} from './lock-information-resolver.service';

const settingsRoutes: Routes = [
  {
    path: '',
    component: SettingsComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Maintenance' // 'Lock Date'
    },
    resolve: {
      maintenance: MaintenanceResolver,
      lockInformation: LockInformationResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(settingsRoutes)

  ],
  exports: [
    RouterModule
  ]
})
export class SettingsRoutingModule {
}
