import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {ConfirmDialogComponent} from './confirm-dialog/confirm-dialog.component';
import { MatButtonModule } from '@angular/material/button';
import { MatDialogModule } from '@angular/material/dialog';
import {LocalTimePipe} from './local-time.pipe';
import {ClearPipe} from './clear.pipe';
import {AccountingPipe} from './accounting.pipe';
import {ImageDialogComponent} from './image-dialog/image-dialog.component';

@NgModule({
  imports: [
    CommonModule,
    MatButtonModule,
    MatDialogModule
  ],
  declarations: [
    ConfirmDialogComponent,
    ImageDialogComponent,
    AccountingPipe,
    ClearPipe,
    LocalTimePipe
  ],
  exports: [
    AccountingPipe,
    ClearPipe,
    LocalTimePipe
  ]
})
export class SharedModule {
}
