import {Injectable} from '@angular/core';

const re = /((('[^']+'|"[^"]+"|[^\s]+)\s*:\s*('[^']+'|"[^"]+"|[^\s]+))|('[^']+'|"[^"]+"|[^\s]+))/g;

@Injectable({
  providedIn: 'root'
})
export class TokenizerService {

  constructor() {
  }

  getMatches(input: string): string[] {
    input = input ? input : '';
    return input.match(re);
  }

  getPairs(input: string[]): any[] {
    input = input ? input : [];
    return input.reduce((accumulator, item) => {
      let key,
        value;
      if (item.indexOf(':') === -1) {
        key = '';
        value = item;
      } else {
        key = item.substr(0, item.indexOf(':')).trim();
        value = item.substr(item.indexOf(':') + 1, item.length).trim();
      }
      if (key.indexOf('\'') !== -1 || key.indexOf('"') !== -1) {
        key = key.substring(1, key.length - 1).trim();
      }
      if (value.indexOf('\'') !== -1 || value.indexOf('"') !== -1) {
        value = value.substring(1, value.length - 1).trim();
      }
      if (value !== '') {
        accumulator.push({Key: key, Value: value});
      }
      return accumulator;
    }, []);
  }

  isSort(key: string, value: string, sorter?: any): boolean {
    const isSort = (key === '' && value.length > 1 && '+-'.indexOf(value.charAt(0)) !== -1);
    return sorter !== null ? (isSort && value.substr(1) in sorter) : isSort;
  }
  getFilters(input: string[]) {
    // input.
  }
}
