import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {StockMovementResolver} from './stock-movement-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {StockMovementComponent} from './stock-movement.component';

const stockMovementRoutes: Routes = [
  {
    path: '',
    component: StockMovementComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Stock Movement'
    },
    resolve: {
      info: StockMovementResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(stockMovementRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    StockMovementResolver
  ]
})
export class StockMovementRoutingModule {
}
