import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {TrialBalanceResolver} from './trial-balance-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {TrialBalanceComponent} from './trial-balance.component';

const trialBalanceRoutes: Routes = [
  {
    path: '',
    component: TrialBalanceComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Trial Balance'
    },
    resolve: {
      info: TrialBalanceResolver
    }
  },
  {
    path: ':date',
    component: TrialBalanceComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Trial Balance'
    },
    resolve: {
      info: TrialBalanceResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(trialBalanceRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    TrialBalanceResolver
  ]
})
export class TrialBalanceRoutingModule {
}
