import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import {UnpostedResolver} from './unposted-resolver.service';
import {AuthGuard} from '../auth/auth-guard.service';
import {UnpostedComponent} from './unposted.component';

const unpostedRoutes: Routes = [
  {
    path: '',
    component: UnpostedComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'post-vouchers'
    },
    resolve: {
      info: UnpostedResolver
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(unpostedRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    UnpostedResolver
  ]
})
export class UnpostedRoutingModule {
}
