import {Component, OnInit, ViewChild} from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import {UnpostedDataSource} from './unposted-datasource';
import {Unposted} from './unposted';
import {ActivatedRoute, Router} from '@angular/router';
import {UnpostedService} from './unposted.service';
import {map} from 'rxjs/operators';

@Component({
  selector: 'app-unposted',
  templateUrl: './unposted.component.html',
  styleUrls: ['./unposted.component.css']
})
export class UnpostedComponent implements OnInit {
  @ViewChild(MatPaginator, { static: true }) paginator: MatPaginator;
  @ViewChild(MatSort, { static: true }) sort: MatSort;
  dataSource: UnpostedDataSource;
  info: Unposted[];
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['date', 'voucherType', 'narration', 'debitName', 'debitAmount', 'creditName', 'creditAmount'];

  constructor(private route: ActivatedRoute, private router: Router, private ser: UnpostedService) {
  }

  ngOnInit() {
    this.route.data.subscribe((data: { info: Unposted[] }) => {
        this.info = data.info;
      });
    this.dataSource = new UnpostedDataSource(this.paginator, this.sort, this.info);
  }

  refresh() {
    this.ser.list().subscribe((info: Unposted[]) => this.info = info);
  }
}
