import {Injectable} from '@angular/core';
import {catchError} from 'rxjs/operators';
import {Observable} from 'rxjs/internal/Observable';
import {HttpClient} from '@angular/common/http';
import {Unposted} from './unposted';
import {ErrorLoggerService} from '../core/error-logger.service';

const url = '/api/unposted';
const serviceName = 'UnpostedService';

@Injectable({
  providedIn: 'root'
})
export class UnpostedService {

  constructor(private http: HttpClient, private log: ErrorLoggerService) {
  }

  list(): Observable<Unposted[]> {
    return <Observable<Unposted[]>>this.http.get<Unposted[]>(url)
      .pipe(
        catchError(this.log.handleError(serviceName, 'list'))
      );
  }

}
