import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.txt'), "r") as r:
    README = r.read()
with open(os.path.join(here, 'CHANGES.txt'), "r") as c:
    CHANGES = c.read()
with open(os.path.join(here, 'requirements.txt'), "r") as r:
    requires = r.read().splitlines()

setup(name='brewman',
      version='7.0',
      description='brewman',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
          "Programming Language :: Python",
          "Framework :: Pyramid",
          "Topic :: Internet :: WWW/HTTP",
          "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
      ],
      author='Tanshu',
      author_email='brewman@tanshu.com',
      url='http://tanshu.com',
      keywords='web pyramid pylons',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      tests_require=requires,
      test_suite="brewman",
      entry_points="""\
      [paste.app_factory]
      main = brewman:main
      [console_scripts]
      initdb = brewman.scripts.initializedb:main
      """,
      )
